Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fedict.eid.applet.service.impl
Class UserIdentifierUtil

    java.lang.Object
      be.fedict.eid.applet.service.impl.UserIdentifierUtil

    public class UserIdentifierUtil

extends Object

Utility class for user identifier construction.

Author:
  Frank Cornelis

Field Summary
`static String` | `HMAC_ALGO`

Method Summary
`static String` | `getNonReversibleCitizenIdentifier(String userId, String orgId, String appId, String secret)` Gives back a non-reversible citizen identifier (NRCID).
`static String` | `getUserId(X509Certificate signingCertificate)` Gives back a unique user identifier given an X509 certificate.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HMAC_ALGO

    public static final String HMAC_ALGO

See Also:
  Constant Field Values

Method Detail

### getUserId

    public static String getUserId(X509Certificate signingCertificate)

  Gives back a unique user identifier given an X509 certificate.

  Parameters:
    `signingCertificate` -
  Returns:

### getNonReversibleCitizenIdentifier

    public static String getNonReversibleCitizenIdentifier(String userId,
                                                           String orgId,
                                                           String appId,
                                                           String secret)

  Gives back a non-reversible citizen identifier (NRCID).

  Parameters:
    `userId` - the primary user identifier, i.e. the national registry number.
    `orgId` - the optional organization identifier.
    `appId` - the optional application identifier.
    `secret` - the application specific secret. Should be at least 128 bit long. Encoded in hexadecimal format.
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 FedICT. All Rights Reserved.